### Function

# Pango.parse_stretch

#### Declaration [src]

    gboolean
    pango_parse_stretch (
      const char* str,
      PangoStretch* stretch,
      gboolean warn
    )

#### Description [src]

Parses a font stretch.

The allowed values are “ultra_condensed”, “extra_condensed”, “condensed”, “semi_condensed”, “normal”, “semi_expanded”, “expanded”, “extra_expanded” and “ultra_expanded”. Case variations are ignored and the ‘_’ characters may be omitted.

#### Parameters

`str` | `const char*`
| a string to parse.
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`stretch` | `PangoStretch`
| a `PangoStretch` to store the result in.
| Direction: out
| Ownership of the data is transferred to the callee
`warn` | `gboolean`
| if `TRUE`, issue a `g_warning()` on bad input.

#### Return value

Returns: `gboolean`
`TRUE` if `str` was successfully parsed.